<template>
  <div :id="componentId" class="demo-card-image mdl-card mdl-shadow--2dp">
    <div class="mdl-card__title mdl-card--expand"></div>
    <div class="mdl-card__actions">
      <span class="demo-card-image__filename">
				{{ this.name }}
			</span>
    </div>
  </div>
</template>

<script>
export default {
	props: ['url', 'index'],
	data() {
		return {
			componentId: 'image-card-' + this.index,
		};
	},
	mounted() {
		document.querySelector('#' + this.componentId).style.background =
			'url(' + this.url + ') center / cover';
	},
	computed: {
		name() {
			if (this.url != null) {
				let split = this.url.split('/');
				return this.url.split('/')[this.url.split('/').length - 1];
			}
		},
	},
};
</script>

<style scoped>
.demo-card-image.mdl-card {
	height: 50px;
}
.demo-card-image > .mdl-card__actions {
	height: 52px;
	padding: 16px;
	background: rgba(0, 0, 0, 0.2);
}
.demo-card-image__filename {
	color: #fff;
	font-size: 14px;
	font-weight: 500;
}
</style>